<template>
<div class="modal inmodal" id="supplier_modal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content animated fadeIn">
            <div class="ibox-title">
                <h5>Supplier Form</h5>
            </div>
            <!-- /.ibox-title -->

            <div class="ibox-content" v-bind:class="{ 'sk-loading': modal.pause }">
                <div class="sk-spinner sk-spinner-wave">
                    <div class="sk-rect1"></div>
                    <div class="sk-rect2"></div>
                    <div class="sk-rect3"></div>
                    <div class="sk-rect4"></div>
                    <div class="sk-rect5"></div>
                </div>

                <div class="row">
                    <input type="hidden"  v-model="modal.data.id">
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.code  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Code : </label>
                            <input class="form-control"  v-model="modal.data.code">

                            <div v-if="modal.errors.code">
                                <span class="help-block" v-for="error in modal.errors.code" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.name  }"
                    >
                        <div class="form-group" >
                            <label>Name : </label> 
                            <input class="form-control"  v-model="modal.data.name">
                            
                            <div v-if="modal.errors.name">
                                <span class="help-block" v-for="error in modal.errors.name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.address  }"
                    >
                        <div class="form-group" >
                            <label>Address : </label> 
                            <input class="form-control"  v-model="modal.data.address">
                            
                            <div v-if="modal.errors.address">
                                <span class="help-block" v-for="error in modal.errors.address" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <!-- Contact -->
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.contact_person  }"
                    >
                        <div class="form-group" >
                            <label>Contact Person : </label> 
                            <input class="form-control"  v-model="modal.data.contact_person">
                            
                            <div v-if="modal.errors.contact_person">
                                <span class="help-block" v-for="error in modal.errors.contact_person" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.tel_no  }"
                    >
                        <div class="form-group" >
                            <label>Tel No. : </label> 
                            <input class="form-control"  v-model="modal.data.tel_no">
                            
                            <div v-if="modal.errors.tel_no">
                                <span class="help-block" v-for="error in modal.errors.tel_no" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.cel_no  }"
                    >
                        <div class="form-group" >
                            <label>Cell No. : </label> 
                            <input class="form-control"  v-model="modal.data.cel_no">
                            
                            <div v-if="modal.errors.cel_no">
                                <span class="help-block" v-for="error in modal.errors.cel_no" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <!-- ./Contact -->

                    <!-- Branch -->
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.bank  }"
                    >
                        <div class="form-group" >
                            <label>Bank : </label> 
                            <input class="form-control"  v-model="modal.data.bank">
                            
                            <div v-if="modal.errors.bank">
                                <span class="help-block" v-for="error in modal.errors.bank" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.terms  }"
                    >
                        <div class="form-group" >
                            <label>Terms : </label> 
                            <input class="form-control"  v-model="modal.data.terms">
                            
                            <div v-if="modal.errors.terms">
                                <span class="help-block" v-for="error in modal.errors.terms" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.bank_account  }"
                    >
                        <div class="form-group" >
                            <label>Bank Account : </label> 
                            <input class="form-control"  v-model="modal.data.bank_account">
                            
                            <div v-if="modal.errors.bank_account">
                                <span class="help-block" v-for="error in modal.errors.bank_account" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.branch  }"
                    >
                        <div class="form-group" >
                            <label>Branch : </label> 
                            <input class="form-control"  v-model="modal.data.branch">
                            
                            <div v-if="modal.errors.branch">
                                <span class="help-block" v-for="error in modal.errors.branch" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <!-- ./Branch -->

                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.remarks  }"
                    >
                        <div class="form-group" >
                            <label>Remarks : </label> 
                            <input class="form-control"  v-model="modal.data.remarks">
                            
                            <div v-if="modal.errors.remarks">
                                <span class="help-block" v-for="error in modal.errors.remarks" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.ibox-content -->
            <div class="ibox-footer">
              <div class="pull-right">
                <button type="button" class="btn btn-white btn-sm " data-dismiss="modal">
                  Close
                </button>

                <button @click="save()" 
                        :disable="modal.pause" 
                        class="btn btn-flat btn-primary btn-sm"> 
                  Save
                </button>
              </div>
              <div>&nbsp;<br>&nbsp;</div>
            </div>
            <!-- /.ibox-footer -->
        </div>
        <!-- /.modal-content animated flipInY -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal inmodal -->

</template>

<script>
export default {
    props: [
        'modal'
    ],
    methods: {
        save() {
            this.$emit('save', this.modal.data)
        }
    }
}
</script>
